al_destroy_sample_instance(3)

NAME

al_destroy_sample_instance - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_destroy_sample_instance(ALLEGRO_SAMPLE_INSTANCE *spl)

DESCRIPTION

Detaches the sample instance from anything it may be attached to and frees it (the sample data, i.e. its ALLEGRO_SAMPLE, is not freed!).

SEE ALSO

al_create_sample_instance(3)